require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();


SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusGrilled", true);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheMushroom", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpFried", false);

SManager:AddMeal(MealType.STEAK, "steakLondonBroil", false);
SManager:AddMeal(MealType.FISH, "fishGrilledLemonHal", true);
SManager:AddMeal(MealType.CHICKEN, "chickenCordon", false);

SManager:AddCake(CakeType.IRA, "cake2Buttercream", false);
SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", true);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.CAKE);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");